Certificate - Add
Adds a Certificate to the specified Account.
POST {batchUrl}/certificates?api-version=2022-01-01.15.0
POST {batchUrl}/certificates?timeout={timeout}&api-version=2022-01-01.15.0
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
batch
|
path | True |
|
The base URL for all Azure Batch service requests. |
|
api-version
|
query | True |
|
Client API Version. |
|
timeout
|
query |
|
The maximum time that the server can spend processing the request, in seconds. The default is 30 seconds. |
Request Header
Media Types: "application/json; odata=minimalmetadata"
| Name | Required | Type | Description |
|---|---|---|---|
| client-request-id |
|
The caller-generated request identity, in the form of a GUID with no decoration such as curly braces, e.g. 9C4D50EE-2D56-4CD3-8152-34347DC9F2B0. |
|
| return-client-request-id |
|
Whether the server should return the client-request-id in the response. |
|
| ocp-date |
|
The time the request was issued. Client libraries typically set this to the current system clock time; set it explicitly if you are calling the REST API directly. |
Request Body
Media Types: "application/json; odata=minimalmetadata"
| Name | Required | Type | Description |
|---|---|---|---|
| data | True |
|
The base64-encoded contents of the Certificate. The maximum size is 10KB. |
| thumbprint | True |
|
The X.509 thumbprint of the Certificate. This is a sequence of up to 40 hex digits (it may include spaces but these are removed). |
| thumbprintAlgorithm | True |
|
The algorithm used to derive the thumbprint. This must be sha1. |
| certificateFormat |
The format of the Certificate data. |
||
| password |
|
The password to access the Certificate's private key. |
Responses
| Name | Type | Description |
|---|---|---|
| 201 Created |
The request to the Batch service was successful. Headers
|
|
| Other Status Codes |
The error from the Batch service. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | Impersonate your user account |
Authorization
Type:
apiKey
In:
header
Examples
Certificate add
Sample Request
POST account.region.batch.azure.com/certificates?api-version=2022-01-01.15.0
client-request-id: 00000000-0000-0000-0000-000000000000
ocp-date: Fri, 17 Feb 2017 00:00:00 GMT
{
"thumbprintAlgorithm": "sha1",
"thumbprint": "0123456789abcdef0123456789abcdef01234567",
"data": "#####...",
"certificateFormat": "pfx",
"password": "<ExamplePassword>"
}
Sample Response
Definitions
|
Batch |
An error response received from the Azure Batch service. |
|
Batch |
An item of additional information included in an Azure Batch error response. |
|
Certificate |
A Certificate that can be installed on Compute Nodes and can be used to authenticate operations on the machine. |
|
Certificate |
The format of the Certificate data. |
|
Error |
An error message received in an Azure Batch error response. |
BatchError
An error response received from the Azure Batch service.
| Name | Type | Description |
|---|---|---|
| code |
|
An identifier for the error. Codes are invariant and are intended to be consumed programmatically. |
| message |
A message describing the error, intended to be suitable for display in a user interface. |
|
| values |
A collection of key-value pairs containing additional details about the error. |
BatchErrorDetail
An item of additional information included in an Azure Batch error response.
| Name | Type | Description |
|---|---|---|
| key |
|
An identifier specifying the meaning of the Value property. |
| value |
|
The additional information included with the error response. |
CertificateAddParameter
A Certificate that can be installed on Compute Nodes and can be used to authenticate operations on the machine.
| Name | Type | Description |
|---|---|---|
| certificateFormat |
The format of the Certificate data. |
|
| data |
|
The base64-encoded contents of the Certificate. The maximum size is 10KB. |
| password |
|
The password to access the Certificate's private key. |
| thumbprint |
|
The X.509 thumbprint of the Certificate. This is a sequence of up to 40 hex digits (it may include spaces but these are removed). |
| thumbprintAlgorithm |
|
The algorithm used to derive the thumbprint. This must be sha1. |
CertificateFormat
The format of the Certificate data.
| Name | Type | Description |
|---|---|---|
| cer |
|
The Certificate is a base64-encoded X.509 Certificate. |
| pfx |
|
The Certificate is a PFX (PKCS#12) formatted Certificate or Certificate chain. |
ErrorMessage
An error message received in an Azure Batch error response.
| Name | Type | Description |
|---|---|---|
| lang |
|
The language code of the error message |
| value |
|
The text of the message. |